Subject: init: should depend on openrc

From: meow <[email-masked]>
Date: Wed, 22 Nov 2023 09:28:57 +0000

Package: init
Version: 1.65.2devuan1
Severity: grave
Justification: renders package unusable
X-Debbugs-Cc: [email-masked]

Dear Maintainer,
The init meta package must depend on the openrc package.
The openrc package contains an implementation of PID1 - openrc-init.
I've been using openrc-init instead of sisvinit for a long time, but I can't remove sysvinit because when I remove it, runit-init is automatically installed, which I don't need either.
!! There was already message #443, 
!! but it was about runit-init. 
!! openrc was NOT added to the init meta package.

-- System Information:

Distributor ID:	Devuan
Description: 	Devuan GNU/Linux 5 (daedalus)
Release:	5
Codename:	daedalus
Architecture: x86_64
Kernel: Linux 6.1.0-13-amd64 (SMP w/6 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: OpenRC (via /run/openrc)

Versions of packages init depends on:
ii  init-system-helpers  1.65.2devuan1
ii  sysvinit-core        3.06-4devuan3

init recommends no packages.

init suggests no packages.

-- debconf-show failed